import { DeepClient, SerialOperation } from '@deep-foundation/deeplinks/imports/client';
import { Link } from '@deep-foundation/deeplinks/imports/minilinks';
/**
  * Gets serial operations to update {@link LinkName.DeviceRegistrationToken}
  *
  * @example
  * #### Update {@link LinkName.DeviceRegistrationToken}
 ```ts
 const {serialOperations, linkIds} = await getDeviceRegistrationTokenValueUpdateSerialOperations({
   deep,
   deviceRegistrationToken: {
     title,
     body,
   }
 });
 await deep.serial({
   operations: serialOperations
 })
 ```
  */
export declare function getDeviceRegistrationTokenValueUpdateSerialOperations(param: GetDeviceRegistrationTokenValueUpdateSerialOperationsParam): Promise<Array<SerialOperation>>;
export type GetDeviceRegistrationTokenValueUpdateSerialOperationsParam = {
    /**
     * DeepClient
     */
    deep: DeepClient;
    /**
     * DeviceRegistrationToken
     */
    deviceRegistrationToken: string;
} & ({
    /**
     * DeviceRegistrationToken Link Id
     */
    deviceRegistrationTokenLinkId: number;
} | {
    /**
     * DeviceRegistrationToken Link
     */
    deviceRegistrationTokenLink: Link<number>;
});
